Package org.opengis.cite.ogcapifeatures10.conformance

# Class CommonDataFixture

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

Direct Known Subclasses:
  `AbstractDiscoveryCollections`, `AbstractFeatures`, `Feature`, `FeatureCollection`, `FeatureCollections`

public class CommonDataFixture extends CommonFixture

CommonDataFixture class.

Author:
  Lyn Goltz

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `noOfCollections`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonDataFixture()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<String>`
  `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures()`
  createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures.
  `protected List<String>`
  `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures(Map<String,Object> linkToSelf)`
  createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures.
  `protected List<String>`
  `createListOfMediaTypesToSupportForOtherResources(Map<String,Object> linkToSelf)`
  createListOfMediaTypesToSupportForOtherResources.
  `com.reprezen.kaizen.oasparser.model3.OpenApi3`
  `getApiModel()`
  Getter for the field `apiModel`.
  `void`
  `noOfCollections(org.testng.ITestContext testContext)`
  noOfCollections.
  `void`
  `requirementClasses(org.testng.ITestContext testContext)`
  requirementClasses.
  `void`
  `retrieveApiModel(org.testng.ITestContext testContext)`
  retrieveApiModel.

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### noOfCollections

    protected int noOfCollections

- ## Constructor Details

  - ### CommonDataFixture

    public CommonDataFixture()

- ## Method Details

  - ### requirementClasses

    @BeforeClass public void requirementClasses(org.testng.ITestContext testContext)

    requirementClasses.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### noOfCollections

    @BeforeClass public void noOfCollections(org.testng.ITestContext testContext)

    noOfCollections.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### retrieveApiModel

    @BeforeClass public void retrieveApiModel(org.testng.ITestContext testContext)

    retrieveApiModel.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### getApiModel

    public com.reprezen.kaizen.oasparser.model3.OpenApi3 getApiModel()

    Getter for the field `apiModel`.

    Returns:
      a `OpenApi3` object

  - ### createListOfMediaTypesToSupportForOtherResources

    protected List<String> createListOfMediaTypesToSupportForOtherResources(Map<String,Object> linkToSelf)

    createListOfMediaTypesToSupportForOtherResources.

    Parameters:
      `linkToSelf` - a `Map` object
    Returns:
      a `List` object

  - ### createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures

    protected List<String> createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures()

    createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures.

    Returns:
      a `List` object

  - ### createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures

    protected List<String> createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures(Map<String,Object> linkToSelf)

    createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures.

    Parameters:
      `linkToSelf` - a `Map` object
    Returns:
      a `List` object